package com.supervision.dto.robot;

import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class ParamCheckDTO {
    private String paramName;
    private String paramDesc;

    /**
     * 错误类型 1：参数缺失 2：参数值错误 3：参数类型错误
     */
    private Integer errorType;

    public String toMessage(){
        if (Integer.valueOf(1).equals(errorType)){
            return String.format("参数%s缺失",paramName);
        }
        if (Integer.valueOf(2).equals(errorType)){
            return String.format("参数%s值错误",paramName);
        }
        if (Integer.valueOf(3).equals(errorType)){
            return String.format("参数%s类型错误",paramName);
        }
        return "";
    }
}
